Bug 863305 - Multiple screen desktop mirrored and corrupted after running / exiting Extreme Tux Racer on ATI FirePro V4800
Multiple screen desktop mirrored and corrupted after running / exiting Extrem...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1110784
  Show dependency treegraph
 
Reported: 2012-10-04 23:37 EDT by Adam Joseph Cook
Modified: 2016-12-20 07:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 863302
: 1110784 (view as bug list)
Environment:
Last Closed: 2016-12-20 07:28:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Joseph Cook 2012-10-04 23:37:27 EDT
+++ This bug was initially created as a clone of Bug #863302 +++

Created attachment 621907 [details]
Screenshot of GNOME 3 desktop before running openarena

Description of problem:
This test was performed in response to the Fedora 18 Alpha Radeon Test Day.

The system is setup with multiple monitors with the right-hand monitor set as the primary monitor and the desktop extends into the left-hand monitor. The GNOME 3 Activities panel is contained entirely on the right-hand monitor as intended.

extremetuxracer (etracer) was run directly after login and played for about 5 minutes. The desktop display was normal before starting etracer. After exiting etracer normally, the display was mirrored across both monitors and the resolution setting was set incorrectly which made the text blurry and some windows inaccessible as they were 'trapped' between the monitors. Screenshots of the before and after desktop and of the display settings (System Settings -> Display) before and after running etracer.

*** The screenshots given on the clone bug are the same when running etracer as they were after running openarena. ***

Version-Release number of selected component (if applicable):
extremetuxracer-0.4-10.fc18.x86_64
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64

How reproducible:
Always. This test was performed twice with the same results.

Steps to Reproduce:
https://fedoraproject.org/wiki/QA:Testcase_radeon_3D_tuxracer
  
Actual results:
Desktop is mirrored across both monitors and resolution is not correct on either monitor. Display is corrupted to some degree.

Expected results:
Running etracer should not change Display settings or corrupt display.

Additional info:
* Smolt profile: http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:12:09 EDT ---

Created attachment 621908 [details]
Screenshot of GNOME 3 desktop after running openarena

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:15:30 EDT ---

Created attachment 621909 [details]
Screenshot of GNOME 3 display settings before running openarena

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:17:30 EDT ---

Created attachment 621910 [details]
Screenshot of GNOME 3 display settings after running openarena

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:18:25 EDT ---

Created attachment 621911 [details]
Output of openarena run from terminal

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:19:08 EDT ---

Created attachment 621912 [details]
Glxinfo output

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:20:22 EDT ---

Created attachment 621913 [details]
Dmesg output with 'drm.debug=14' kernel parameter set

--- Additional comment from acook@alliedstrand.com on 2012-10-04 23:21:20 EDT ---

Created attachment 621914 [details]
Xorg logs
Comment 1 Fedora End Of Life 2013-12-21 04:02:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michal Domonkos 2014-06-18 08:43:32 EDT
This still happens with F20 or RHEL7 but it depends on the actual resolution set in the game.  When the resolution set is such that it causes the X server to go into the clone mode (not sure about the rationale behind this), this change won't be restored after the game terminates - just as described in this bug.
Comment 4 Jan Kurik 2015-07-15 10:58:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Fedora End Of Life 2016-11-24 05:49:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 07:28:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.